JsonIntegerFormatVisitor.Base
Date: 2016-12-04

com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonIntegerFormatVisitor.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonIntegerFormatVisitor.Base

- All Implemented Interfaces:
    JsonIntegerFormatVisitor, JsonValueFormatVisitor
  Enclosing interface:
    JsonIntegerFormatVisitor

      public static class JsonIntegerFormatVisitor.Base
      extends JsonValueFormatVisitor.Base
      implements JsonIntegerFormatVisitor

  Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonIntegerFormatVisitor

      `JsonIntegerFormatVisitor.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonIntegerFormatVisitor.Base()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `numberType(com.fasterxml.jackson.core.JsonParser.NumberType type)` Method called to provide more exact type of number being serialized (regardless of logical type, which may be `Date` or `Enum`, in addition to actual numeric types like `Integer`).

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base

      `enumTypes, format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `enumTypes, format`

- - ### Constructor Detail

    - #### JsonIntegerFormatVisitor.Base

          public JsonIntegerFormatVisitor.Base()

  - ### Method Detail

    - #### numberType

          public void numberType(com.fasterxml.jackson.core.JsonParser.NumberType type)

      Description copied from interface: `JsonIntegerFormatVisitor`
      Method called to provide more exact type of number being serialized (regardless of logical type, which may be `Date` or `Enum`, in addition to actual numeric types like `Integer`).
      Specified by:
        `numberType` in interface `JsonIntegerFormatVisitor`